Error: "Login test failed: The specified server version is invalid" when testing the login for the Exchange server used for Exchange Integration with Blackbaud CRM

Error: "Login test failed: The specified server version is invalid" when testing the login for the Exchange server used for Exchange Integration with Blackbaud CRM. This occurs when using the IP address or the fully qualified domain name for the Exchange server.

 
This error occurs because the version of Microsoft Exchange Server is not supported by Blackbaud CRM. For Blackbaud CRM 3.0 and 4.0 only Exchange 2010 and 2013 are supported. Office 365 is not supported nor any lower versions lower than 2010.

NOTE: Using an incompatible version of Microsoft Exchange can also affect email alerts as well causing them not to be sent.

See the system requirements for CRM 3.0 and 4.0:
https://www.blackbaud.com/files/support/guides/bbec/bbecreqs30.pdf
https://www.blackbaud.com/files/support/guides/bbec/bbecreqs40.pdf


 

Steps to Duplicate

1. Go to Administration\Exchange Integration\Manage Exchange servers
2. Click Add to add the Exchange server information
3, Enter in the User name of a user who has rights to Exchange, the password, domain and the URL. Select Use Exchange impersonation and select Default server if this will be the default Exchange server.
4. Click the Test login button, see the error occur.

Environment

 Blackbaud CRM
 4.0

Was this article helpful?